[pcre-dev] [Bug 941] New: Improve detection of libtool by au…

Top Page
Delete this message
Author: Sander Temme
Date:  
To: pcre-dev
Subject: [pcre-dev] [Bug 941] New: Improve detection of libtool by autogen
------- You are receiving this mail because: -------
You are on the CC list for the bug.

http://bugs.exim.org/show_bug.cgi?id=941
           Summary: Improve detection of libtool by autogen
           Product: PCRE
           Version: N/A
          Platform: Other
        OS/Version: All
            Status: NEW
          Severity: bug
          Priority: medium
         Component: Code
        AssignedTo: ph10@???
        ReportedBy: sander@???
                CC: pcre-dev@???



GNU libtool is named differently on some systems. This patch tries several
variants like glibtoolize (MacOSX) and libtoolize1x (FreeBSD):

Index: autogen.sh
===================================================================
--- autogen.sh (revision 472)
+++ autogen.sh (working copy)
@@ -6,8 +6,22 @@

aclocal --force

-libtoolize -c -f
+libtoolize=""
+for l in glibtoolize libtoolize15 libtoolize14 libtoolize ; do
+    $l --version > /dev/null 2>&1
+    if [ $? = 0 ]; then
+        libtoolize=$l
+        break
+    fi
+done


+if [ "x$libtoolize" != "x" ]; then
+    $libtoolize -c -f
+else
+    echo "Can't find libtoolize on your system"
+    exit 1
+fi
+
 autoconf -f -W all,no-obsolete


autoheader -f -W all


--
Configure bugmail: http://bugs.exim.org/userprefs.cgi?tab=email